<!DOCTYPE html>
<html lang="en" xmlns:th="http://thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Login</title>
    <object th:include="fragments/fragment :: css" th:remove="tag"></object>
    <object th:include="fragments/fragment :: js" th:remove="tag"></object>
</head>
<body>
    <div class="container-fluid text-center">
        <br>
        <h2>Hello !</h2>
        <br>

        <div class="row justify-content-center">
            <div class="col-md-4">
                <div class="card">
                    <div class="card-header">
                        Log In
                    </div>
                    <div class="card-body">
                        <div th:if="${param.error}">
                            <span style="color:red">Invalid username and password.</span>
                        </div>
                        <br>
                        <form th:action="@{/login}" method="POST">
                            <div class="row form-group">
                                <label class="col-sm-4">Username:</label>
                                <input type="text" class="col-sm-8 form-control input-sm" name="username">
                            </div>
                            <div class="row form-group">
                                <label class="col-sm-4">Password:</label>
                                <input type="password" class="col-sm-8 form-control input-sm" name="password">
                            </div>
                            <div class="row form-group justify-content-center">
                                <button type="submit" class="btn btn-primary">Sign In</button>
                            </div>
                            <div>
                                atau <a th:href="@{/login-sso}">Masuk sebagai Admin (SS0 UI)</a>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>